<template>
    <div class="row">
        <div class="col-12">
    
            <h2>Gestion des absences</h2>
        </div>
    
        <form class="container" v-on:submit.prevent="save()">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Type
                                <span>*</span>
                            </label>
                        <select class="form-control" type="text" name="type" v-model="absences.type">
                                <option value="Congés payés"> Congés payés</option>
                                <option value="Congés sans solde">Congés sans solde</option>
                                <option value="maladie"> Maladie</option>
                                <option value="formation"> Formation</option>
                                <option value="other"> Autre</option>
                            </select>
                    </div>
                </div>
    
                <div class="col-6">
                    <div class="form-group">
                        <label>Projet
                                <span>*</span>
                            </label>
                        <select class="form-control" type="text" name="project" required v-model="absences.project">
                                <option value="forfait">Forfait</option>
                                <option value="rigide">Rigide</option>
                            </select>
                    </div>
                </div>
            </div>
    
            <div class="row">
                <div class="col-4">
                    <div class="form-group">
                        <label>Date de début
                                <span>*</span>
                            </label>
                        <Datepicker input-class="form-control" type="date" name="startdate" :required="true" v-model="absences.startdate"></Datepicker>
                    </div>
                </div>
    
                <div class="col-4">
                    <div class="form-group">
                        <label>Date de fin</label>
                        <Datepicker input-class="form-control" type="date" name="enddate" :required="true" v-model="absences.enddate"></Datepicker>
                    </div>
                </div>
    
                <div class="col-4">
                    <div class="form-group">
                        <label>Temps</label>
                        <select class="form-control" type="text" name="temps" :required="true" v-model="absences.time">
                                <option value="demi-journée">Demi-journée</option>
                                <option value="toute-journée">Toute la journée</option>
                            </select>
                    </div>
                </div>
    
            </div>
            <div>
                <label>Commentaire</label>
                <Ckeditor v-model="absences.comment" :config="config"></Ckeditor>
            </div>
            <br>
            <div class="form-group">
                <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                <button class="btn btn-secondary" type="button" v-on:click="retour()"> Retour </button>
    
            </div>
        </form>
    
    </div>
</template>

<script>
    import Ckeditor from 'vue-ckeditor2';
    import Datepicker from 'vuejs-datepicker';
    import {
        editUser
    } from '@/api/users.service.js';
    export default {
    
        data() {
            return {
    
                config: {
                    toolbar: [{
                            name: 'document',
                            items: ['Source', '-', 'Save', 'NewPage', 'Preview', 'Print', '-', 'Templates']
                        },
                        ['Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript'],
                        {
                            name: 'insert',
                            items: ['Image', 'Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe']
                        },
                        {
                            name: 'links',
                            items: ['Link', 'Unlink', 'Anchor']
                        }
    
                    ],
                    height: 300
                },
                absences: {
    
                }
            }
        },
        computed: {
            user() {
                return this.$store.getters.getCurrentUser
            }
        },
        methods: {
    
            retour: function() {
                this.$router.go(-1);
            },
            save: function() {
                if (!this.user.absences) {
                    this.user.absences = new Array()
    
                }
                this.absences.requestdate = new Date();
                this.absences.valid = false;
                this.absences.checked = false;
                this.user.absences.push(this.absences);
                this.$store.dispatch("setCurrentUser", this.user);
                editUser(this.user._id, this.user).then(() => {
                    this.$router.go(-1);
                });
            }
        },
    
        components: {
            Datepicker,
            Ckeditor
        }
    
    }
</script>


<style scoped>
    span {
        color: red;
    }
    
    h2 {
        font-family: "Vollkorn";
        font-size: 30px;
        text-align: left;
        margin-left: 100px;
    }
</style>
